NETDEV_INCREMENT_FEA(9)

NAME
netdev_increment_features - increment feature set by one

SYNOPSIS

netdev_features_t netdev_increment_features(netdev_features_t all, netdev_features_t one, netdev_features_t mask);

ARGUMENTS

all
    current feature set

one
    new feature set

mask
    mask feature set

DESCRIPTION

Computes a new feature set after adding a device with feature set one to the master device with current feature set all. Will not enable anything that is off in mask. Returns the new feature set.

COPYRIGHT